# Generated by Django 2.1.1 on 2018-09-25 15:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('virtualcontests', '0030_tags'),
    ]

    operations = [
        migrations.CreateModel(
            name='Ranklist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rank', models.IntegerField()),
                ('username', models.CharField(max_length=50)),
                ('total_time', models.IntegerField()),
                ('penalty', models.IntegerField()),
                ('country', models.TextField()),
                ('organization', models.TextField()),
                ('organizationType', models.TextField()),
                ('rating', models.IntegerField()),
                ('total_score', models.FloatField()),
                ('contest', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.Contests')),
            ],
        ),
        migrations.CreateModel(
            name='RanklistProblems',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bestSolutionTime', models.BigIntegerField()),
                ('penalty', models.IntegerField()),
                ('score', models.FloatField()),
                ('contest', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.Contests')),
                ('problem', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='virtualcontests.Problems')),
            ],
        ),
    ]
